Index: Makefile
===================================================================
--- Makefile	(revision f14bd6a232a0c5f940f327c1f36da027f253ff56)
+++ Makefile	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
@@ -1046,240 +1038,248 @@
 	external/fastjet/plugins/GridJet/GridJetPlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf): \
+	external/fastjet/plugins/Jade/JadePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/NNH.hh
+tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf): \
+	external/fastjet/plugins/EECambridge/EECambridgePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/NNH.hh
 tmp/external/fastjet/contribs/SoftKiller/SoftKiller.$(ObjSuf): \
 	external/fastjet/contribs/SoftKiller/SoftKiller.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(SrcSuf)
-tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf): \
-	external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/Njettiness.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/Njettiness.$(SrcSuf)
-tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf): \
-	external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/AxesFinder.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/AxesFinder.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.$(SrcSuf)
-tmp/external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(ObjSuf): \
-	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(SrcSuf)
+tmp/external/Hector/H_Marker.$(ObjSuf): \
+	external/Hector/H_Marker.$(SrcSuf)
+tmp/external/Hector/H_VerticalKicker.$(ObjSuf): \
+	external/Hector/H_VerticalKicker.$(SrcSuf)
+tmp/external/Hector/H_BeamLine.$(ObjSuf): \
+	external/Hector/H_BeamLine.$(SrcSuf)
+tmp/external/Hector/H_RecRPObject.$(ObjSuf): \
+	external/Hector/H_RecRPObject.$(SrcSuf)
+tmp/external/Hector/H_Quadrupole.$(ObjSuf): \
+	external/Hector/H_Quadrupole.$(SrcSuf)
+tmp/external/Hector/H_RectangularDipole.$(ObjSuf): \
+	external/Hector/H_RectangularDipole.$(SrcSuf)
 tmp/external/Hector/H_CircularAperture.$(ObjSuf): \
 	external/Hector/H_CircularAperture.$(SrcSuf)
-tmp/external/Hector/H_Quadrupole.$(ObjSuf): \
-	external/Hector/H_Quadrupole.$(SrcSuf)
+tmp/external/Hector/H_HorizontalQuadrupole.$(ObjSuf): \
+	external/Hector/H_HorizontalQuadrupole.$(SrcSuf)
+tmp/external/Hector/H_HorizontalKicker.$(ObjSuf): \
+	external/Hector/H_HorizontalKicker.$(SrcSuf)
+tmp/external/Hector/H_BeamLineParser.$(ObjSuf): \
+	external/Hector/H_BeamLineParser.$(SrcSuf)
+tmp/external/Hector/H_RectEllipticAperture.$(ObjSuf): \
+	external/Hector/H_RectEllipticAperture.$(SrcSuf)
+tmp/external/Hector/H_RectangularCollimator.$(ObjSuf): \
+	external/Hector/H_RectangularCollimator.$(SrcSuf)
+tmp/external/Hector/H_SectorDipole.$(ObjSuf): \
+	external/Hector/H_SectorDipole.$(SrcSuf)
+tmp/external/Hector/H_RectangularAperture.$(ObjSuf): \
+	external/Hector/H_RectangularAperture.$(SrcSuf)
+tmp/external/Hector/H_RomanPot.$(ObjSuf): \
+	external/Hector/H_RomanPot.$(SrcSuf)
+tmp/external/Hector/H_Aperture.$(ObjSuf): \
+	external/Hector/H_Aperture.$(SrcSuf)
+tmp/external/Hector/H_BeamParticle.$(ObjSuf): \
+	external/Hector/H_BeamParticle.$(SrcSuf)
+tmp/external/Hector/H_Beam.$(ObjSuf): \
+	external/Hector/H_Beam.$(SrcSuf)
+tmp/external/Hector/H_Drift.$(ObjSuf): \
+	external/Hector/H_Drift.$(SrcSuf)
 tmp/external/Hector/H_Dipole.$(ObjSuf): \
 	external/Hector/H_Dipole.$(SrcSuf)
 tmp/external/Hector/H_OpticalElement.$(ObjSuf): \
 	external/Hector/H_OpticalElement.$(SrcSuf)
-tmp/external/Hector/H_HorizontalQuadrupole.$(ObjSuf): \
-	external/Hector/H_HorizontalQuadrupole.$(SrcSuf)
-tmp/external/Hector/H_Aperture.$(ObjSuf): \
-	external/Hector/H_Aperture.$(SrcSuf)
-tmp/external/Hector/H_Drift.$(ObjSuf): \
-	external/Hector/H_Drift.$(SrcSuf)
-tmp/external/Hector/H_RomanPot.$(ObjSuf): \
-	external/Hector/H_RomanPot.$(SrcSuf)
-tmp/external/Hector/H_HorizontalKicker.$(ObjSuf): \
-	external/Hector/H_HorizontalKicker.$(SrcSuf)
-tmp/external/Hector/H_Beam.$(ObjSuf): \
-	external/Hector/H_Beam.$(SrcSuf)
-tmp/external/Hector/H_RecRPObject.$(ObjSuf): \
-	external/Hector/H_RecRPObject.$(SrcSuf)
-tmp/external/Hector/H_BeamLineParser.$(ObjSuf): \
-	external/Hector/H_BeamLineParser.$(SrcSuf)
+tmp/external/Hector/H_TransportMatrices.$(ObjSuf): \
+	external/Hector/H_TransportMatrices.$(SrcSuf)
 tmp/external/Hector/H_Parameters.$(ObjSuf): \
 	external/Hector/H_Parameters.$(SrcSuf)
-tmp/external/Hector/H_RectangularCollimator.$(ObjSuf): \
-	external/Hector/H_RectangularCollimator.$(SrcSuf)
+tmp/external/Hector/H_VerticalQuadrupole.$(ObjSuf): \
+	external/Hector/H_VerticalQuadrupole.$(SrcSuf)
+tmp/external/Hector/H_AbstractBeamLine.$(ObjSuf): \
+	external/Hector/H_AbstractBeamLine.$(SrcSuf)
+tmp/external/Hector/H_EllipticAperture.$(ObjSuf): \
+	external/Hector/H_EllipticAperture.$(SrcSuf)
 tmp/external/Hector/H_Kicker.$(ObjSuf): \
 	external/Hector/H_Kicker.$(SrcSuf)
-tmp/external/Hector/H_AbstractBeamLine.$(ObjSuf): \
-	external/Hector/H_AbstractBeamLine.$(SrcSuf)
-tmp/external/Hector/H_Marker.$(ObjSuf): \
-	external/Hector/H_Marker.$(SrcSuf)
-tmp/external/Hector/H_TransportMatrices.$(ObjSuf): \
-	external/Hector/H_TransportMatrices.$(SrcSuf)
-tmp/external/Hector/H_SectorDipole.$(ObjSuf): \
-	external/Hector/H_SectorDipole.$(SrcSuf)
-tmp/external/Hector/H_EllipticAperture.$(ObjSuf): \
-	external/Hector/H_EllipticAperture.$(SrcSuf)
-tmp/external/Hector/H_VerticalKicker.$(ObjSuf): \
-	external/Hector/H_VerticalKicker.$(SrcSuf)
-tmp/external/Hector/H_RectEllipticAperture.$(ObjSuf): \
-	external/Hector/H_RectEllipticAperture.$(SrcSuf)
-tmp/external/Hector/H_VerticalQuadrupole.$(ObjSuf): \
-	external/Hector/H_VerticalQuadrupole.$(SrcSuf)
-tmp/external/Hector/H_BeamLine.$(ObjSuf): \
-	external/Hector/H_BeamLine.$(SrcSuf)
-tmp/external/Hector/H_BeamParticle.$(ObjSuf): \
-	external/Hector/H_BeamParticle.$(SrcSuf)
-tmp/external/Hector/H_RectangularAperture.$(ObjSuf): \
-	external/Hector/H_RectangularAperture.$(SrcSuf)
-tmp/external/Hector/H_RectangularDipole.$(ObjSuf): \
-	external/Hector/H_RectangularDipole.$(SrcSuf)
 DELPHES_OBJ +=  \
+	tmp/classes/DelphesHepMCReader.$(ObjSuf) \
+	tmp/classes/DelphesLHEFReader.$(ObjSuf) \
+	tmp/classes/DelphesTF2.$(ObjSuf) \
+	tmp/classes/DelphesFactory.$(ObjSuf) \
+	tmp/classes/DelphesFormula.$(ObjSuf) \
+	tmp/classes/DelphesSTDHEPReader.$(ObjSuf) \
+	tmp/classes/DelphesStream.$(ObjSuf) \
 	tmp/classes/DelphesPileUpWriter.$(ObjSuf) \
-	tmp/classes/DelphesHepMCReader.$(ObjSuf) \
-	tmp/classes/DelphesSTDHEPReader.$(ObjSuf) \
+	tmp/classes/DelphesModule.$(ObjSuf) \
+	tmp/classes/DelphesClasses.$(ObjSuf) \
 	tmp/classes/DelphesPileUpReader.$(ObjSuf) \
-	tmp/classes/DelphesClasses.$(ObjSuf) \
-	tmp/classes/DelphesFormula.$(ObjSuf) \
-	tmp/classes/DelphesTF2.$(ObjSuf) \
-	tmp/classes/DelphesModule.$(ObjSuf) \
-	tmp/classes/DelphesStream.$(ObjSuf) \
-	tmp/classes/DelphesFactory.$(ObjSuf) \
-	tmp/classes/DelphesLHEFReader.$(ObjSuf) \
+	tmp/modules/SimpleCalorimeter.$(ObjSuf) \
+	tmp/modules/LeptonDressing.$(ObjSuf) \
+	tmp/modules/Efficiency.$(ObjSuf) \
+	tmp/modules/UniqueObjectFinder.$(ObjSuf) \
+	tmp/modules/ExampleModule.$(ObjSuf) \
+	tmp/modules/ParticlePropagator.$(ObjSuf) \
+	tmp/modules/EnergySmearing.$(ObjSuf) \
+	tmp/modules/FastJetFinder.$(ObjSuf) \
+	tmp/modules/StatusPidFilter.$(ObjSuf) \
+	tmp/modules/ConstituentFilter.$(ObjSuf) \
 	tmp/modules/EnergyScale.$(ObjSuf) \
-	tmp/modules/Cloner.$(ObjSuf) \
-	tmp/modules/UniqueObjectFinder.$(ObjSuf) \
-	tmp/modules/ParticlePropagator.$(ObjSuf) \
-	tmp/modules/FastJetFinder.$(ObjSuf) \
+	tmp/modules/TrackCountingBTagging.$(ObjSuf) \
+	tmp/modules/TauTagging.$(ObjSuf) \
+	tmp/modules/TimeSmearing.$(ObjSuf) \
+	tmp/modules/Merger.$(ObjSuf) \
+	tmp/modules/BTagging.$(ObjSuf) \
+	tmp/modules/TreeWriter.$(ObjSuf) \
+	tmp/modules/Weighter.$(ObjSuf) \
+	tmp/modules/PileUpJetID.$(ObjSuf) \
+	tmp/modules/Delphes.$(ObjSuf) \
+	tmp/modules/ImpactParameterSmearing.$(ObjSuf) \
 	tmp/modules/Calorimeter.$(ObjSuf) \
-	tmp/modules/TreeWriter.$(ObjSuf) \
 	tmp/modules/Isolation.$(ObjSuf) \
 	tmp/modules/PileUpMerger.$(ObjSuf) \
-	tmp/modules/Efficiency.$(ObjSuf) \
-	tmp/modules/ImpactParameterSmearing.$(ObjSuf) \
-	tmp/modules/Weighter.$(ObjSuf) \
-	tmp/modules/TauTagging.$(ObjSuf) \
-	tmp/modules/PileUpJetID.$(ObjSuf) \
-	tmp/modules/ConstituentFilter.$(ObjSuf) \
-	tmp/modules/Merger.$(ObjSuf) \
+	tmp/modules/TrackPileUpSubtractor.$(ObjSuf) \
+	tmp/modules/Cloner.$(ObjSuf) \
+	tmp/modules/JetPileUpSubtractor.$(ObjSuf) \
 	tmp/modules/PdgCodeFilter.$(ObjSuf) \
-	tmp/modules/TrackPileUpSubtractor.$(ObjSuf) \
-	tmp/modules/JetPileUpSubtractor.$(ObjSuf) \
-	tmp/modules/TimeSmearing.$(ObjSuf) \
-	tmp/modules/BTagging.$(ObjSuf) \
-	tmp/modules/Delphes.$(ObjSuf) \
-	tmp/modules/StatusPidFilter.$(ObjSuf) \
 	tmp/modules/Hector.$(ObjSuf) \
-	tmp/modules/LeptonDressing.$(ObjSuf) \
-	tmp/modules/SimpleCalorimeter.$(ObjSuf) \
-	tmp/modules/EnergySmearing.$(ObjSuf) \
-	tmp/modules/TrackCountingBTagging.$(ObjSuf) \
-	tmp/modules/ExampleModule.$(ObjSuf) \
 	tmp/modules/MomentumSmearing.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootTask.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootUtilities.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling9SeparateGhosts.$(ObjSuf) \
+	tmp/external/fastjet/TilingExtent.$(ObjSuf) \
+	tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling9.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling25.$(ObjSuf) \
 	tmp/external/fastjet/Voronoi.$(ObjSuf) \
+	tmp/external/fastjet/Selector.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
+	tmp/external/fastjet/LimitedWarning.$(ObjSuf) \
 	tmp/external/fastjet/CompositeJetStructure.$(ObjSuf) \
-	tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/LazyTiling25.$(ObjSuf) \
-	tmp/external/fastjet/AreaDefinition.$(ObjSuf) \
+	tmp/external/fastjet/DnnPlane.$(ObjSuf) \
+	tmp/external/fastjet/RectangularGrid.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf) \
-	tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf) \
-	tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling9Alt.$(ObjSuf) \
+	tmp/external/fastjet/BasicRandom.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/external/fastjet/MinHeap.$(ObjSuf) \
-	tmp/external/fastjet/RectangularGrid.$(ObjSuf) \
-	tmp/external/fastjet/PseudoJet.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf) \
-	tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf) \
-	tmp/external/fastjet/LazyTiling9Alt.$(ObjSuf) \
-	tmp/external/fastjet/DnnPlane.$(ObjSuf) \
-	tmp/external/fastjet/Error.$(ObjSuf) \
-	tmp/external/fastjet/LazyTiling9SeparateGhosts.$(ObjSuf) \
-	tmp/external/fastjet/LazyTiling9.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf) \
-	tmp/external/fastjet/TilingExtent.$(ObjSuf) \
-	tmp/external/fastjet/LimitedWarning.$(ObjSuf) \
-	tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf) \
-	tmp/external/fastjet/Selector.$(ObjSuf) \
-	tmp/external/fastjet/BasicRandom.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf) \
-	tmp/external/fastjet/RangeDefinition.$(ObjSuf) \
 	tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequence.$(ObjSuf) \
 	tmp/external/fastjet/JetDefinition.$(ObjSuf) \
+	tmp/external/fastjet/Error.$(ObjSuf) \
+	tmp/external/fastjet/RangeDefinition.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf) \
+	tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
+	tmp/external/fastjet/MinHeap.$(ObjSuf) \
+	tmp/external/fastjet/PseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf) \
 	tmp/external/fastjet/ClosestPair2D.$(ObjSuf) \
+	tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/AreaDefinition.$(ObjSuf) \
+	tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf) \
 	tmp/external/fastjet/tools/TopTaggerBase.$(ObjSuf) \
+	tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf) \
+	tmp/external/fastjet/tools/Subtractor.$(ObjSuf) \
+	tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf) \
+	tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf) \
+	tmp/external/fastjet/tools/Recluster.$(ObjSuf) \
+	tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf) \
 	tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf) \
-	tmp/external/fastjet/tools/Recluster.$(ObjSuf) \
 	tmp/external/fastjet/tools/GridMedianBackgroundEstimator.$(ObjSuf) \
 	tmp/external/fastjet/tools/Filter.$(ObjSuf) \
-	tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf) \
-	tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf) \
-	tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf) \
-	tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf) \
-	tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf) \
 	tmp/external/fastjet/tools/Pruner.$(ObjSuf) \
-	tmp/external/fastjet/tools/Subtractor.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf) \
-	tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf) \
 	tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf) \
 	tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf) \
-	tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf) \
-	tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf) \
+	tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf) \
 	tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf) \
 	tmp/external/fastjet/contribs/SoftKiller/SoftKiller.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(ObjSuf) \
-	tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/Njettiness.$(ObjSuf) \
-	tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/AxesFinder.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.$(ObjSuf) \
-	tmp/external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(ObjSuf) \
+	tmp/external/Hector/H_Marker.$(ObjSuf) \
+	tmp/external/Hector/H_VerticalKicker.$(ObjSuf) \
+	tmp/external/Hector/H_BeamLine.$(ObjSuf) \
+	tmp/external/Hector/H_RecRPObject.$(ObjSuf) \
+	tmp/external/Hector/H_Quadrupole.$(ObjSuf) \
+	tmp/external/Hector/H_RectangularDipole.$(ObjSuf) \
 	tmp/external/Hector/H_CircularAperture.$(ObjSuf) \
-	tmp/external/Hector/H_Quadrupole.$(ObjSuf) \
+	tmp/external/Hector/H_HorizontalQuadrupole.$(ObjSuf) \
+	tmp/external/Hector/H_HorizontalKicker.$(ObjSuf) \
+	tmp/external/Hector/H_BeamLineParser.$(ObjSuf) \
+	tmp/external/Hector/H_RectEllipticAperture.$(ObjSuf) \
+	tmp/external/Hector/H_RectangularCollimator.$(ObjSuf) \
+	tmp/external/Hector/H_SectorDipole.$(ObjSuf) \
+	tmp/external/Hector/H_RectangularAperture.$(ObjSuf) \
+	tmp/external/Hector/H_RomanPot.$(ObjSuf) \
+	tmp/external/Hector/H_Aperture.$(ObjSuf) \
+	tmp/external/Hector/H_BeamParticle.$(ObjSuf) \
+	tmp/external/Hector/H_Beam.$(ObjSuf) \
+	tmp/external/Hector/H_Drift.$(ObjSuf) \
 	tmp/external/Hector/H_Dipole.$(ObjSuf) \
 	tmp/external/Hector/H_OpticalElement.$(ObjSuf) \
-	tmp/external/Hector/H_HorizontalQuadrupole.$(ObjSuf) \
-	tmp/external/Hector/H_Aperture.$(ObjSuf) \
-	tmp/external/Hector/H_Drift.$(ObjSuf) \
-	tmp/external/Hector/H_RomanPot.$(ObjSuf) \
-	tmp/external/Hector/H_HorizontalKicker.$(ObjSuf) \
-	tmp/external/Hector/H_Beam.$(ObjSuf) \
-	tmp/external/Hector/H_RecRPObject.$(ObjSuf) \
-	tmp/external/Hector/H_BeamLineParser.$(ObjSuf) \
+	tmp/external/Hector/H_TransportMatrices.$(ObjSuf) \
 	tmp/external/Hector/H_Parameters.$(ObjSuf) \
-	tmp/external/Hector/H_RectangularCollimator.$(ObjSuf) \
-	tmp/external/Hector/H_Kicker.$(ObjSuf) \
+	tmp/external/Hector/H_VerticalQuadrupole.$(ObjSuf) \
 	tmp/external/Hector/H_AbstractBeamLine.$(ObjSuf) \
-	tmp/external/Hector/H_Marker.$(ObjSuf) \
-	tmp/external/Hector/H_TransportMatrices.$(ObjSuf) \
-	tmp/external/Hector/H_SectorDipole.$(ObjSuf) \
 	tmp/external/Hector/H_EllipticAperture.$(ObjSuf) \
-	tmp/external/Hector/H_VerticalKicker.$(ObjSuf) \
-	tmp/external/Hector/H_RectEllipticAperture.$(ObjSuf) \
-	tmp/external/Hector/H_VerticalQuadrupole.$(ObjSuf) \
-	tmp/external/Hector/H_BeamLine.$(ObjSuf) \
-	tmp/external/Hector/H_BeamParticle.$(ObjSuf) \
-	tmp/external/Hector/H_RectangularAperture.$(ObjSuf) \
-	tmp/external/Hector/H_RectangularDipole.$(ObjSuf)
+	tmp/external/Hector/H_Kicker.$(ObjSuf)
 
 ifeq ($(HAS_PYTHIA8),true)
@@ -1288,13 +1288,13 @@
 endif
 
+tmp/display/DelphesDisplay.$(ObjSuf): \
+	display/DelphesDisplay.$(SrcSuf) \
+	display/DelphesDisplay.h
 tmp/display/DelphesCaloData.$(ObjSuf): \
 	display/DelphesCaloData.$(SrcSuf) \
 	display/DelphesCaloData.h
-tmp/display/DelphesDisplay.$(ObjSuf): \
-	display/DelphesDisplay.$(SrcSuf) \
-	display/DelphesDisplay.h
 DISPLAY_OBJ +=  \
-	tmp/display/DelphesCaloData.$(ObjSuf) \
-	tmp/display/DelphesDisplay.$(ObjSuf)
+	tmp/display/DelphesDisplay.$(ObjSuf) \
+	tmp/display/DelphesCaloData.$(ObjSuf)
 
 ifeq ($(HAS_PYTHIA8),true)
@@ -1303,86 +1303,86 @@
 endif
 
+tmp/external/tcl/tclObj.$(ObjSuf): \
+	external/tcl/tclObj.c
+tmp/external/tcl/tclUtil.$(ObjSuf): \
+	external/tcl/tclUtil.c
+tmp/external/tcl/tclAsync.$(ObjSuf): \
+	external/tcl/tclAsync.c
+tmp/external/tcl/tclPosixStr.$(ObjSuf): \
+	external/tcl/tclPosixStr.c
+tmp/external/tcl/tclCompile.$(ObjSuf): \
+	external/tcl/tclCompile.c
 tmp/external/tcl/tclHistory.$(ObjSuf): \
 	external/tcl/tclHistory.c
 tmp/external/tcl/tclResolve.$(ObjSuf): \
 	external/tcl/tclResolve.c
+tmp/external/tcl/tclParse.$(ObjSuf): \
+	external/tcl/tclParse.c
+tmp/external/tcl/tclVar.$(ObjSuf): \
+	external/tcl/tclVar.c
+tmp/external/tcl/tclIndexObj.$(ObjSuf): \
+	external/tcl/tclIndexObj.c
+tmp/external/tcl/tclCkalloc.$(ObjSuf): \
+	external/tcl/tclCkalloc.c
 tmp/external/tcl/tclListObj.$(ObjSuf): \
 	external/tcl/tclListObj.c
-tmp/external/tcl/tclAsync.$(ObjSuf): \
-	external/tcl/tclAsync.c
+tmp/external/tcl/tclHash.$(ObjSuf): \
+	external/tcl/tclHash.c
+tmp/external/tcl/tclCmdIL.$(ObjSuf): \
+	external/tcl/tclCmdIL.c
 tmp/external/tcl/tclStringObj.$(ObjSuf): \
 	external/tcl/tclStringObj.c
-tmp/external/tcl/tclHash.$(ObjSuf): \
-	external/tcl/tclHash.c
+tmp/external/tcl/tclAlloc.$(ObjSuf): \
+	external/tcl/tclAlloc.c
 tmp/external/tcl/tclCompExpr.$(ObjSuf): \
 	external/tcl/tclCompExpr.c
-tmp/external/tcl/tclVar.$(ObjSuf): \
-	external/tcl/tclVar.c
+tmp/external/tcl/tclLink.$(ObjSuf): \
+	external/tcl/tclLink.c
+tmp/external/tcl/tclCmdAH.$(ObjSuf): \
+	external/tcl/tclCmdAH.c
+tmp/external/tcl/panic.$(ObjSuf): \
+	external/tcl/panic.c
+tmp/external/tcl/tclBasic.$(ObjSuf): \
+	external/tcl/tclBasic.c
+tmp/external/tcl/tclPreserve.$(ObjSuf): \
+	external/tcl/tclPreserve.c
 tmp/external/tcl/tclGet.$(ObjSuf): \
 	external/tcl/tclGet.c
-tmp/external/tcl/tclUtil.$(ObjSuf): \
-	external/tcl/tclUtil.c
-tmp/external/tcl/tclPosixStr.$(ObjSuf): \
-	external/tcl/tclPosixStr.c
-tmp/external/tcl/panic.$(ObjSuf): \
-	external/tcl/panic.c
-tmp/external/tcl/tclPreserve.$(ObjSuf): \
-	external/tcl/tclPreserve.c
-tmp/external/tcl/tclBasic.$(ObjSuf): \
-	external/tcl/tclBasic.c
-tmp/external/tcl/tclObj.$(ObjSuf): \
-	external/tcl/tclObj.c
 tmp/external/tcl/tclNamesp.$(ObjSuf): \
 	external/tcl/tclNamesp.c
-tmp/external/tcl/tclCmdMZ.$(ObjSuf): \
-	external/tcl/tclCmdMZ.c
-tmp/external/tcl/tclCmdIL.$(ObjSuf): \
-	external/tcl/tclCmdIL.c
-tmp/external/tcl/tclIndexObj.$(ObjSuf): \
-	external/tcl/tclIndexObj.c
-tmp/external/tcl/tclCmdAH.$(ObjSuf): \
-	external/tcl/tclCmdAH.c
-tmp/external/tcl/tclCkalloc.$(ObjSuf): \
-	external/tcl/tclCkalloc.c
-tmp/external/tcl/tclLink.$(ObjSuf): \
-	external/tcl/tclLink.c
-tmp/external/tcl/tclAlloc.$(ObjSuf): \
-	external/tcl/tclAlloc.c
 tmp/external/tcl/tclProc.$(ObjSuf): \
 	external/tcl/tclProc.c
 tmp/external/tcl/tclExecute.$(ObjSuf): \
 	external/tcl/tclExecute.c
-tmp/external/tcl/tclParse.$(ObjSuf): \
-	external/tcl/tclParse.c
-tmp/external/tcl/tclCompile.$(ObjSuf): \
-	external/tcl/tclCompile.c
+tmp/external/tcl/tclCmdMZ.$(ObjSuf): \
+	external/tcl/tclCmdMZ.c
 TCL_OBJ +=  \
+	tmp/external/tcl/tclObj.$(ObjSuf) \
+	tmp/external/tcl/tclUtil.$(ObjSuf) \
+	tmp/external/tcl/tclAsync.$(ObjSuf) \
+	tmp/external/tcl/tclPosixStr.$(ObjSuf) \
+	tmp/external/tcl/tclCompile.$(ObjSuf) \
 	tmp/external/tcl/tclHistory.$(ObjSuf) \
 	tmp/external/tcl/tclResolve.$(ObjSuf) \
+	tmp/external/tcl/tclParse.$(ObjSuf) \
+	tmp/external/tcl/tclVar.$(ObjSuf) \
+	tmp/external/tcl/tclIndexObj.$(ObjSuf) \
+	tmp/external/tcl/tclCkalloc.$(ObjSuf) \
 	tmp/external/tcl/tclListObj.$(ObjSuf) \
-	tmp/external/tcl/tclAsync.$(ObjSuf) \
+	tmp/external/tcl/tclHash.$(ObjSuf) \
+	tmp/external/tcl/tclCmdIL.$(ObjSuf) \
 	tmp/external/tcl/tclStringObj.$(ObjSuf) \
-	tmp/external/tcl/tclHash.$(ObjSuf) \
+	tmp/external/tcl/tclAlloc.$(ObjSuf) \
 	tmp/external/tcl/tclCompExpr.$(ObjSuf) \
-	tmp/external/tcl/tclVar.$(ObjSuf) \
+	tmp/external/tcl/tclLink.$(ObjSuf) \
+	tmp/external/tcl/tclCmdAH.$(ObjSuf) \
+	tmp/external/tcl/panic.$(ObjSuf) \
+	tmp/external/tcl/tclBasic.$(ObjSuf) \
+	tmp/external/tcl/tclPreserve.$(ObjSuf) \
 	tmp/external/tcl/tclGet.$(ObjSuf) \
-	tmp/external/tcl/tclUtil.$(ObjSuf) \
-	tmp/external/tcl/tclPosixStr.$(ObjSuf) \
-	tmp/external/tcl/panic.$(ObjSuf) \
-	tmp/external/tcl/tclPreserve.$(ObjSuf) \
-	tmp/external/tcl/tclBasic.$(ObjSuf) \
-	tmp/external/tcl/tclObj.$(ObjSuf) \
 	tmp/external/tcl/tclNamesp.$(ObjSuf) \
-	tmp/external/tcl/tclCmdMZ.$(ObjSuf) \
-	tmp/external/tcl/tclCmdIL.$(ObjSuf) \
-	tmp/external/tcl/tclIndexObj.$(ObjSuf) \
-	tmp/external/tcl/tclCmdAH.$(ObjSuf) \
-	tmp/external/tcl/tclCkalloc.$(ObjSuf) \
-	tmp/external/tcl/tclLink.$(ObjSuf) \
-	tmp/external/tcl/tclAlloc.$(ObjSuf) \
 	tmp/external/tcl/tclProc.$(ObjSuf) \
 	tmp/external/tcl/tclExecute.$(ObjSuf) \
-	tmp/external/tcl/tclParse.$(ObjSuf) \
-	tmp/external/tcl/tclCompile.$(ObjSuf)
+	tmp/external/tcl/tclCmdMZ.$(ObjSuf)
 
 external/fastjet/internal/ClosestPair2D.hh: \
@@ -1474,8 +1474,4 @@
 	@touch $@
 
-external/fastjet/Error.hh: \
-	external/fastjet/internal/base.hh
-	@touch $@
-
 external/fastjet/internal/LazyTiling25.hh: \
 	external/fastjet/internal/MinHeap.hh \
@@ -1483,4 +1479,10 @@
 	external/fastjet/internal/LazyTiling9Alt.hh \
 	external/fastjet/internal/LazyTiling9.hh
+	@touch $@
+
+external/fastjet/Error.hh: \
+	external/fastjet/internal/base.hh \
+	external/fastjet/config.h \
+	external/fastjet/LimitedWarning.hh
 	@touch $@
 
@@ -1699,4 +1701,5 @@
 
 external/fastjet/tools/Subtractor.hh: \
+	external/fastjet/internal/base.hh \
 	external/fastjet/tools/Transformer.hh \
 	external/fastjet/tools/BackgroundEstimatorBase.hh
@@ -1709,4 +1712,8 @@
 	@touch $@
 
+external/fastjet/AreaDefinition.hh: \
+	external/fastjet/GhostedAreaSpec.hh
+	@touch $@
+
 external/fastjet/internal/Dnn3piCylinder.hh: \
 	external/fastjet/internal/DynamicNearestNeighbours.hh \
@@ -1715,8 +1722,4 @@
 	@touch $@
 
-external/fastjet/AreaDefinition.hh: \
-	external/fastjet/GhostedAreaSpec.hh
-	@touch $@
-
 modules/TimeSmearing.h: \
 	classes/DelphesModule.h
@@ -1741,10 +1744,10 @@
 	@touch $@
 
+external/fastjet/config.h: \
+	external/fastjet/config_win.h
+	@touch $@
+
 external/fastjet/LimitedWarning.hh: \
 	external/fastjet/internal/base.hh
-	@touch $@
-
-external/fastjet/config.h: \
-	external/fastjet/config_win.h
 	@touch $@
 
Index: doc/update_fastjet.sh
===================================================================
--- doc/update_fastjet.sh	(revision f14bd6a232a0c5f940f327c1f36da027f253ff56)
+++ doc/update_fastjet.sh	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
@@ -1,3 +1,3 @@
-version=3.1.0-beta.1
+version=3.1.0
 
 #wget http://fastjet.fr/repo/fastjet-${version}.tar.gz
Index: external/fastjet/AUTHORS
===================================================================
--- external/fastjet/AUTHORS	(revision f14bd6a232a0c5f940f327c1f36da027f253ff56)
+++ external/fastjet/AUTHORS	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
@@ -35,4 +35,5 @@
 Chris Vermilion
 Markus Wobisch 
+Christopher Young
 
 ----------------------------------------------------------------------
Index: external/fastjet/ClusterSequence.cc
===================================================================
--- external/fastjet/ClusterSequence.cc	(revision f14bd6a232a0c5f940f327c1f36da027f253ff56)
+++ external/fastjet/ClusterSequence.cc	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
@@ -1,4 +1,4 @@
 //FJSTARTHEADER
-// $Id: ClusterSequence.cc 3619 2014-08-13 14:17:19Z salam $
+// $Id: ClusterSequence.cc 3685 2014-09-11 20:15:00Z salam $
 //
 // Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
@@ -37,5 +37,7 @@
 #include "fastjet/internal/LazyTiling9.hh"
 #include "fastjet/internal/LazyTiling25.hh"
+#ifndef __FJCORE__
 #include "fastjet/internal/LazyTiling9SeparateGhosts.hh"
+#endif  // __FJCORE__
 #include<iostream>
 #include<sstream>
@@ -370,4 +372,5 @@
     _plugin_activated = false;
 
+#ifndef __FJCORE__
   } else if (_strategy == N2MHTLazy9AntiKtSeparateGhosts) {
     // attempt to use an external tiling routine -- it manipulates
@@ -377,4 +380,7 @@
     tiling.run();
     _plugin_activated = false;
+#else 
+    throw Error("N2MHTLazy9AntiKtSeparateGhosts strategy not supported with FJCORE");
+#endif  // __FJCORE__
 
   } else if (_strategy == NlnN) {
Index: external/fastjet/ClusterSequence.hh
===================================================================
--- external/fastjet/ClusterSequence.hh	(revision f14bd6a232a0c5f940f327c1f36da027f253ff56)
+++ external/fastjet/ClusterSequence.hh	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
@@ -3,5 +3,5 @@
 
 //FJSTARTHEADER
-// $Id: ClusterSequence.hh 3619 2014-08-13 14:17:19Z salam $
+// $Id: ClusterSequence.hh 3709 2014-09-29 13:19:11Z soyez $
 //
 // Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
@@ -641,7 +641,10 @@
   Strategy _best_strategy() const;
   
+  /// \if internal_doc
+  /// \class _Parabola
   /// returns c*(a*R**2 + b*R + 1);
   /// Written as a class in case we want to give names to different
   /// parabolas
+  /// \endif
   class _Parabola {
   public:
@@ -652,5 +655,8 @@
   };
 
+  /// \if internal_doc
+  /// \class _Line
   /// operator()(R) returns a*R+b;
+  /// \endif
   class _Line {
   public:
